[med-svn] [Git][med-team/python-tinyalign][upstream] New upstream version 0.2.1

Andreas Tille (@tille) gitlab at salsa.debian.org
Thu Feb 17 15:32:51 GMT 2022



Andreas Tille pushed to branch upstream at Debian Med / python-tinyalign


Commits:
206c4f4e by Andreas Tille at 2022-02-17T16:30:53+01:00
New upstream version 0.2.1
- - - - -


5 changed files:

- + .github/workflows/ci.yml
- − .travis.yml
- README.md
- buildwheels.sh
- setup.py


Changes:

=====================================
.github/workflows/ci.yml
=====================================
@@ -0,0 +1,68 @@
+name: CI
+
+on: [push]
+
+jobs:
+  test:
+    timeout-minutes: 5
+    runs-on: ubuntu-latest
+    strategy:
+      matrix:
+        python-version: ["3.6", "3.7", "3.8", "3.9", "3.10"]
+    steps:
+    - uses: actions/checkout at v2
+    - name: Set up Python ${{ matrix.python-version }}
+      uses: actions/setup-python at v2
+      with:
+        python-version: ${{ matrix.python-version }}
+    - name: Install dependencies
+      run: python -m pip install pytest Cython
+    - name: Install
+      run: python -m pip install -e .
+    - name: Test
+      run: python -m pytest
+
+  deploy:
+    timeout-minutes: 10
+    runs-on: ubuntu-latest
+    needs: [test]
+    if: startsWith(github.ref, 'refs/tags')
+    steps:
+    - uses: actions/checkout at v2
+      with:
+        fetch-depth: 0  # required for setuptools_scm
+    - name: Set up Python
+      uses: actions/setup-python at v2
+      with:
+        python-version: 3.7
+    - name: Build wheels
+      uses: joerick/cibuildwheel at v2.2.2
+      with:
+        output-dir: dist/
+      env:
+        CIBW_BUILD: "cp3*-*"
+        CIBW_SKIP: "*-manylinux_i686 *musllinux*"
+        # CIBW_MANYLINUX_X86_64_IMAGE: manylinux1
+        CIBW_ENVIRONMENT: "CFLAGS=-g0"
+        CIBW_TEST_REQUIRES: "pytest"
+        CIBW_TEST_COMMAND: |
+            cd {project}
+            pytest
+    - name: Make sdist
+      run: |
+        python -m pip install build
+        python -m build --sdist
+        ls -l dist/
+    - name: Publish dev release to test PyPI
+      if: contains(github.ref, '.dev')
+      uses: pypa/gh-action-pypi-publish at v1.4.2
+      with:
+        user: __token__
+        password: ${{ secrets.test_pypi_password }}
+        repository_url: https://test.pypi.org/legacy/
+    - name: Publish to PyPI
+      if: "!contains(github.ref, '.dev')"
+      uses: pypa/gh-action-pypi-publish at v1.4.2
+      with:
+        user: __token__
+        password: ${{ secrets.pypi_password }}


=====================================
.travis.yml deleted
=====================================
@@ -1,41 +0,0 @@
-language: python
-
-dist: xenial
-
-cache:
-  directories:
-    - $HOME/.cache/pip
-
-python:
-  - "3.6"
-  - "3.7"
-  - "3.8-dev"
-
-install:
-  - pip install .
-
-script:
-  - python setup.py --version  # Detect encoding problems
-  - python -m pytest
-
-env:
-  global:
-    - TWINE_USERNAME=marcelm
-
-jobs:
-  include:
-    - stage: deploy
-      services:
-        - docker
-      python: "3.6"
-      install: python3 -m pip install Cython setuptools_scm twine
-      if: tag IS present
-      script:
-        - |
-          python3 setup.py sdist &&
-          ./buildwheels.sh &&
-          ls -l dist/ &&
-          python3 -m twine upload dist/*
-
-  allowed_failures:
-    - python: "3.8-dev"


=====================================
README.md
=====================================
@@ -1,4 +1,6 @@
-[![Travis](https://travis-ci.org/marcelm/tinyalign.svg?branch=master)](https://travis-ci.org/marcelm/tinyalign)
+[![CI](https://github.com/marcelm/tinyalign/actions/workflows/ci.yml/badge.svg)](https://github.com/marcelm/tinyalign/actions/workflows/ci.yml)
+[![PyPI](https://img.shields.io/pypi/v/tinyalign.svg?branch=main)](https://pypi.python.org/pypi/tinyalign)
+
 
 # tinyalign
 


=====================================
buildwheels.sh
=====================================
@@ -1,24 +1,30 @@
 #!/bin/bash
 #
-# Build manylinux1 wheels. Based on the example at
+# Build manylinux wheels. Based on the example at
 # <https://github.com/pypa/python-manylinux-demo>
 #
-# Run this within the repository root:
-#   docker run --rm -v $(pwd):/io quay.io/pypa/manylinux1_x86_64 /io/buildwheels.sh
+# It is best to run this in a fresh clone of the repository!
 #
-# The wheels will be put into the wheelhouse/ subdirectory.
+# Run this within the repository root:
+#   ./buildwheels.sh
 #
-# For interactive tests:
-#   docker run -it -v $(pwd):/io quay.io/pypa/manylinux1_x86_64 /bin/bash
+# The wheels will be put into the dist/ subdirectory.
 
 set -xeuo pipefail
 
+manylinux=quay.io/pypa/manylinux2010_x86_64
+
 # For convenience, if this script is called from outside of a docker container,
 # it starts a container and runs itself inside of it.
 if ! grep -q docker /proc/1/cgroup; then
   # We are not inside a container
-  docker pull quay.io/pypa/manylinux1_x86_64
-  exec docker run --rm -v $(pwd):/io quay.io/pypa/manylinux1_x86_64 /io/$0
+  docker pull ${manylinux}
+  exec docker run --rm -v $(pwd):/io ${manylinux} /io/$0
+fi
+
+if ! test -d /io/dist; then
+  mkdir /io/dist
+  chown --reference=/io/setup.py /io/dist
 fi
 
 # Strip binaries (copied from multibuild)
@@ -26,13 +32,14 @@ STRIP_FLAGS=${STRIP_FLAGS:-"-Wl,-strip-all"}
 export CFLAGS="${CFLAGS:-$STRIP_FLAGS}"
 export CXXFLAGS="${CXXFLAGS:-$STRIP_FLAGS}"
 
-for PYBIN in /opt/python/cp3[67]-*/bin; do
-    ${PYBIN}/pip wheel /io/ -w wheelhouse/
+for PYBIN in /opt/python/cp3[678]-*/bin; do
+    ${PYBIN}/pip wheel --no-deps /io/ -w wheelhouse/
 done
+ls wheelhouse/
 
 # Bundle external shared libraries into the wheels
-for whl in wheelhouse/tinyalign-*.whl; do
-    auditwheel repair "$whl" -w repaired/
+for whl in wheelhouse/*.whl; do
+    auditwheel repair "$whl" --plat manylinux1_x86_64 -w repaired/
 done
 
 # Created files are owned by root, so fix permissions.


=====================================
setup.py
=====================================
@@ -4,10 +4,6 @@ from setuptools import setup, Extension, find_packages
 from distutils.command.sdist import sdist as _sdist
 from distutils.command.build_ext import build_ext as _build_ext
 
-if sys.version_info[:2] < (3, 4):
-    sys.stdout.write("Python 3.4 or later is required\n")
-    sys.exit(1)
-
 
 def no_cythonize(extensions, **_ignore):
     """Change .pyx to .c or .cpp (copied from Cython documentation)"""
@@ -73,6 +69,7 @@ setup(
     package_dir={"": "src"},
     ext_modules=extensions,
     cmdclass={"build_ext": BuildExt, "sdist": SDist},
+    python_requires='>=3.6',
     classifiers=[
         "Development Status :: 3 - Alpha",
         "Intended Audience :: Science/Research",



View it on GitLab: https://salsa.debian.org/med-team/python-tinyalign/-/commit/206c4f4eec1aaa9569fcd2e32aae22d877ffd0c3

-- 
View it on GitLab: https://salsa.debian.org/med-team/python-tinyalign/-/commit/206c4f4eec1aaa9569fcd2e32aae22d877ffd0c3
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220217/56b984ef/attachment-0001.htm>


More information about the debian-med-commit mailing list